Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002260 [Slicer4] Core: Base Code minor have not tried 2012-06-26 16:08 2014-05-13 03:22
Reporter finetjul View Status public  
Assigned To jcfr
Priority normal Resolution fixed  
Status acknowledged   Product Version
Summary 0002260: Update Module template to include widget library
Description From Julien - June 26 2012:

Actually maybe it should.
Templates should have all possible cases and if the user doesn't want 1 subdirectory, it deletes it and remove/comment add_subdirectory in top CMakeLists.
Additional Information
Tags help-wanted
Attached Files

- Relationships
related to 0002922acknowledgedjcfr (Scripted|Loadable)ExtensionTemplate don't have parameter node 

-  Notes
(0005008)
jcfr (administrator)
2012-06-29 21:36

See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=20529 [^]
and http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=20530 [^]
(0005009)
jcfr (administrator)
2012-06-29 23:00

See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=20530, [^]
http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=20531 [^]
and http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=20532 [^]
(0005010)
jcfr (administrator)
2012-06-29 23:01

Fixed in r20533
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=20533 [^]

Note that a more elaborated example of widget could be added.
(0005414)
jcfr (administrator)
2012-07-27 19:42

Dear issue reporter,

Good news :) Slicer developers SOLVED the problem you reported - YOU now need to VERIFY and CLOSE this issue.
(0005453)
finetjul (administrator)
2012-07-30 11:04

MRML, MRMLDisplayableManager, VTKWidgets are missing

- Issue History
Date Modified Username Field Change
2012-06-26 16:08 jcfr New Issue
2012-06-26 16:09 jcfr Reporter jcfr => finetjul
2012-06-26 16:09 jcfr Assigned To => jcfr
2012-06-26 16:09 jcfr Status new => assigned
2012-06-26 16:09 jcfr Target Version => Slicer 4.3.0
2012-06-29 21:36 jcfr Note Added: 0005008
2012-06-29 23:00 jcfr Note Added: 0005009
2012-06-29 23:01 jcfr Note Added: 0005010
2012-06-29 23:01 jcfr Status assigned => resolved
2012-06-29 23:01 jcfr Fixed in Version => Slicer 4.2.0 - Sept 1st 2012
2012-06-29 23:01 jcfr Resolution open => fixed
2012-07-27 19:42 jcfr Note Added: 0005414
2012-07-30 11:04 finetjul Note Added: 0005453
2012-07-30 11:04 finetjul Status resolved => assigned
2013-08-30 17:28 jcfr Target Version Slicer 4.3.0 => Slicer 4.3.1
2013-09-24 15:14 jcfr Target Version Slicer 4.3.1 => Slicer 4.3.2
2014-03-06 15:15 nicole Target Version Slicer 4.3.2 => Slicer 4.4.0
2014-03-07 15:07 jcfr Relationship added related to 0002922
2014-05-13 03:20 jcfr Tag Attached: I-want-to-contribute
2014-05-13 03:20 jcfr Tag Renamed I-want-to-contribute => help-wanted
2014-05-13 03:21 jcfr Assigned To jcfr =>
2014-05-13 03:21 jcfr Status assigned => acknowledged
2014-05-13 03:21 jcfr Fixed in Version Slicer 4.2.0 =>
2014-05-13 03:21 jcfr Target Version Slicer 4.4.0 =>
2014-05-13 03:21 jcfr Status acknowledged => assigned
2014-05-13 03:21 jcfr Assigned To => jcfr
2014-05-13 03:22 jcfr Status assigned => acknowledged


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker